# WinStd: Shell API

Shell API

## Functions

template<class _Traits , class _Ax >
static BOOL | PathCanonicalizeA (std::basic_string< char, _Traits, _Ax > &sValue, LPCSTR pszPath)
| Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path, and stores it in a std::wstring string. More...
template<class _Traits , class _Ax >
static BOOL | PathCanonicalizeW (std::basic_string< wchar_t, _Traits, _Ax > &sValue, LPCWSTR pszPath)
| Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path, and stores it in a std::wstring string. More...

## Detailed Description

## Function Documentation

## PathCanonicalizeA()

template<class _Traits , class _Ax >

static BOOL PathCanonicalizeA | ( | std::basic_string< char, _Traits, _Ax > & | sValue,
|  | LPCSTR | pszPath
| ) |  |

static

Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path, and stores it in a std::wstring string.

See also
  PathCanonicalize function

## PathCanonicalizeW()

template<class _Traits , class _Ax >

static BOOL PathCanonicalizeW | ( | std::basic_string< wchar_t, _Traits, _Ax > & | sValue,
|  | LPCWSTR | pszPath
| ) |  |

static

Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path, and stores it in a std::wstring string.

See also
  PathCanonicalize function